Loading...
Searching...
No Matches
pappso::specglob::ExperimentalSpectrumDataPoint Struct Reference

`#include <experimentalspectrum.h>`

## Public Attributes

ExperimentalSpectrumDataPointType | type
double | peak_mz = 0
std::size_t | indice

## Detailed Description

Definition at line 50 of file experimentalspectrum.h.

## Member Data Documentation

## indice

std::size_t pappso::specglob::ExperimentalSpectrumDataPoint::indice

Definition at line 54 of file experimentalspectrum.h.

## peak_mz

double pappso::specglob::ExperimentalSpectrumDataPoint::peak_mz = 0

Definition at line 53 of file experimentalspectrum.h.

Referenced by pappso::specglob::ExperimentalSpectrum::getMassList(), pappso::specglob::ExperimentalSpectrum::getMassList(), pappso::specpeptidoms::SpOMSSpectrum::getMassList(), and pappso::specglob::ExperimentalSpectrum::toString().

## type

ExperimentalSpectrumDataPointType pappso::specglob::ExperimentalSpectrumDataPoint::type

Definition at line 52 of file experimentalspectrum.h.

Referenced by pappso::specglob::SpectralAlignment::fillMatricesWithScores(), pappso::specglob::ExperimentalSpectrum::getMassList(), and pappso::specglob::ExperimentalSpectrum::toString().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/specglob/experimentalspectrum.h